%define module	Image-Size
%define name	perl-%{module}
%define version 3.0
%define release %mkrel 2
%define epoch	1

Name: 		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		%{epoch}
Summary:	Read the dimensions of an image in several popular formats
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/Expect/%{module}-%{version}.tar.bz2
BuildRequires:	perl-Compress-Zlib
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Image::Size is a library based on the image-sizing code in the wwwimagesize
script, a tool that analyzes HTML files and adds HEIGHT and WIDTH tags to
IMG directives.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS='%{optflags} -DENGLISH'

%check
make test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/Image
%{perl_vendorlib}/auto/Image

%changelog
* Mon Jul 17 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1:3.0-2
- add BuildRequires: perl-Compress-Zlib

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1:3.0-1mdv2007.0
- new version
- rpmbuildupdate aware
- spec cleanup
- better summary

* Tue Jan 18 2005 Abel Cheung <deaddog@mandrake.org> 2.992-3mdk
- rebuild

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.992-2mdk
- rebuild for new perl
- use %%makeinstall_std macro

* Mon Jul 21 2003 Franois Pons <fpons@mandrakesoft.com> 2.992-1mdk
- 2.992.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.991-2mdk
- rebuild for new auto{prov,req}

* Thu Jan 09 2003 Franois Pons <fpons@mandrakesoft.com> 2.991-1mdk
- 2.991.

* Wed Jul 10 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.99-3mdk
- add 'make test'

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 2.99-2mdk
- rebuild for perl 5.8.0
- remove filelist, nicer to use %%files

* Mon May 13 2002 Franois Pons <fpons@mandrakesoft.com> 2.99-1mdk
- 2.99.

* Thu Apr 11 2002 Franois Pons <fpons@mandrakesoft.com> 2.98-1mdk
- 2.98.

* Tue Mar 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.903-6mdk
- should be noarch

* Fri Jan 18 2002 Warly <warly@mandrakesoft.com> 2.903-5mdk
- rebuild for new perl module location

* Fri Oct 26 2001 Stefan van der Eijk <stefan@eijk.nu> 2.903-4mdk
- fix discription
- fix path to manpages

* Fri Oct 26 2001 Stefan van der Eijk <stefan@eijk.nu> 2.903-3mdk
- BuildRequires: perl-devel

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.903-2mdk
- Rebuild against the latest perl.
- Remove the references to Vendor and Distribution.

* Fri Sep 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.903-1mdk
- First Mandrake release
- Needed for eGrail
